Subject: Re: sys_mpc83xx spi driver not probed

From: Joel Rouch <[email-masked]>
Date: Mon, 26 Nov 2007 19:21:37 +0200

Unfortunately not as I still need to use ARCH=ppc.

I am just using a platform_driver_probe() from the module_init.

static int __init mpc83xx_spi_init(void)
{
return platform_driver_probe(&mpc83xx_spi_driver, mpc83xx_spi_probe);

}

Thanks

Scott Wood wrote:
> On Fri, Nov 23, 2007 at 07:02:23PM +0200, Joel Rouch wrote:
>   
>> I have a custom 8349 ppc board. I have defined the spi master in the 
>> configuration.
>> While booting my board, I driver is well added and linked to platform 
>> bus, however I don't see that the probe entry point is reached.
>> I don't succeed to understand who is triggering the probe. Can someone 
>> point me to the right link or explain me how to force it ?
>>     
>
> Are you calling of_platform_bus_probe() from your board file?
>
> -Scott
>